/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-05-30
 * 描述            ：成本组织基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.BaseCostOrgMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_BASE_COST_ORG", namespace=BaseCostOrgMapper.class)
public class BaseCostOrg extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5497080998359729242L;
	/** 
	 * 组织代码
	 */ 
	@Id
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 组织名称
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 组织描述
	 */ 
	@Column
	private String org_desc;
	public String getOrg_desc() {
		return this.org_desc;
	}
	public void setOrg_desc(String org_desc) {
		this.org_desc = org_desc;
	}

	/** 
	 * 组织类型代码
	 */ 
	@Column
	private String org_type_code;
	public String getOrg_type_code() {
		return this.org_type_code;
	}
	public void setOrg_type_code(String org_type_code) {
		this.org_type_code = org_type_code;
	}

	/** 
	 * 组织类型
	 */ 
	@Column
	private String org_type_name;
	public String getOrg_type_name() {
		return this.org_type_name;
	}
	public void setOrg_type(String org_type_name) {
		this.org_type_name = org_type_name;
	}

	/** 
	 * 组织性质代码
	 */ 
	@Column
	private String org_attr_code;
	public String getOrg_attr_code() {
		return this.org_attr_code;
	}
	public void setOrg_attr_code(String org_attr_code) {
		this.org_attr_code = org_attr_code;
	}

	/** 
	 * 组织性质
	 */ 
	@Column
	private String org_attr_name;
	public String getOrg_attr_name() {
		return this.org_attr_name;
	}
	public void setOrg_attr_name(String org_attr_name) {
		this.org_attr_name = org_attr_name;
	}

	/** 
	 * 组织特点代码
	 */ 
	@Column
	private String org_char_code;
	public String getOrg_char_code() {
		return this.org_char_code;
	}
	public void setOrg_char_code(String org_char_code) {
		this.org_char_code = org_char_code;
	}

	/** 
	 * 组织特点
	 */ 
	@Column
	private String org_char_name;
	public String getOrg_char_name() {
		return this.org_char_name;
	}
	public void setOrg_char_name(String org_char_name) {
		this.org_char_name = org_char_name;
	}

	/** 
	 * 组织产出代码
	 */ 
	@Column
	private String org_prod_code;
	public String getOrg_prod_code() {
		return this.org_prod_code;
	}
	public void setOrg_prod_code(String org_prod_code) {
		this.org_prod_code = org_prod_code;
	}
	
	/** 
	 * 组织产出
	 */ 
	@Column
	private String org_prod_name;
	public String getOrg_prod_name() {
		return this.org_prod_name;
	}
	public void setOrg_prod_name(String org_prod_name) {
		this.org_prod_name = org_prod_name;
	}

	/** 
	 * 核算粒度代码
	 */
	@Column
	private String cost_detail_code;
	public String getCost_detail_code() {
		return this.cost_detail_code;
	}
	public void setCost_detail_code(String cost_detail_code) {
		this.cost_detail_code = cost_detail_code;
	}
	
	/** 
	 * 核算粒度
	 */
	@Column
	private String cost_detail_name;
	public String getCost_detail_name() {
		return this.cost_detail_name;
	}
	public void setCost_detail_name(String cost_detail_name) {
		this.cost_detail_name = cost_detail_name;
	}	
	
	/** 
	 * 是否产品入库 (1入库、0不入库)
	 */ 
	@Column
	private String is_prod;
	public String getIs_prod() {
		return this.is_prod;
	}
	public void setIs_prod(String is_prod) {
		this.is_prod = is_prod;
	}

	/** 
	 * 是否成本还原 (1还原、0不还原)
	 */ 
	@Column
	private String is_recover;
	public String getIs_recover() {
		return this.is_recover;
	}
	public void setIs_recover(String is_recover) {
		this.is_recover = is_recover;
	}
	
	/** 
	 * 是否对照(1对照、0不对照)
	 */ 
	@Column
	private String is_cmp;
	public String getIs_cmp() {
		return this.is_cmp;
	}
	public void setIs_cmp(String is_cmp) {
		this.is_cmp = is_cmp;
	}
	
	/** 
	 * 是否对照(1对照、0不对照)
	 */ 
	@Column
	private String is_virtual;
	public String getIs_virtual() {
		return this.is_virtual;
	}
	public void setIs_virtual(String is_virtual) {
		this.is_virtual = is_virtual;
	}

	/** 
	 * 显示顺序
	 */ 
	@Column
	private Long index_id;
	public Long getIndex_id() {
		return this.index_id;
	}
	public void setIndex_id(Long index_id) {
		this.index_id = index_id;
	}

	/** 
	 * 有效标志 (1有效、0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
